YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class Series

Package | com.yahoo.astra.fl.charts.series
Class | public class Series
Inheritance | Series fl.core.UIComponent
Implements | ISeries
Subclasses | CartesianSeries, PieSeries

Functionality common to most series. Generally, a `Series` object shouldn't be instantiated directly. Instead, a subclass with a concrete implementation should be used.

Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object | Series
|  | dataProvider : Object | Series
|  | displayName : String | Series
|  | itemRenderer : Object The class used to instantiate item renderers. | Series
|  | length : int [read-only] | Series

Public Methods

| Method | Defined by
--- | --- | ---
|  | Series(dataProvider:Object = null) Constructor. | Series
|  | clone():ISeries | Series
|  | getStyleDefinition():Object [static] | Series
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int | Series
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer | Series

Protected Methods

| Method | Defined by
--- | --- | ---
|  | invalidateMarker(marker:ISeriesItemRenderer):void Invalidates a marker (considered new). | Series
|  | isMarkerInvalid(marker:ISeriesItemRenderer):Boolean Indicates whether special considerations should be taken for a newly created marker. | Series
|  | validateMarker(marker:ISeriesItemRenderer):void Makes a marker valid. | Series

Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | animationDuration | Type: int The duration for animations that occur on data changes. | Series
|  | animationEasingFunction | Type: Function The easing function for animations that occur on data changes. | Series
|  | animationEnabled | Type: Boolean If true, data changes will be displayed with animations. If false, changes will happen instantly. | Series
|  | fillColor | Type: uint The base color used by objects displayed in this series. | Series
|  | markerAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the markers. | Series
|  | markerSize | Type: Number The size, in pixels, of each marker. | Series
|  | markerSkin | Type: Class The Class used to instantiate each marker's skin. | Series

Property detail

chart | property

`chart:Object` [read-write]

Implementation
`public function get chart():Object`
`public function set chart(value:Object):void`

dataProvider | property |

`dataProvider:Object` [read-write]

Implementation
`public function get dataProvider():Object`
`public function set dataProvider(value:Object):void`

displayName | property |

`displayName:String` [read-write]

Implementation
`public function get displayName():String`
`public function set displayName(value:String):void`

itemRenderer | property |

`itemRenderer:Object` [read-write]

The class used to instantiate item renderers.

Implementation
`public function get itemRenderer():Object`
`public function set itemRenderer(value:Object):void`

length | property |

`length:int` [read-only]

Implementation
`public function get length():int`
Constructor detail

Series | () | constructor

`public function Series(dataProvider:Object = null)`

Constructor.

Parameters

| `dataProvider:Object` (default = `null`)``

Method detail

clone | () | method

`public function clone():ISeries`

Returns

| `ISeries`

getStyleDefinition | () | method |

`public static function getStyleDefinition():Object`

Returns

| `Object`

invalidateMarker | () | method |

`protected function invalidateMarker(marker:ISeriesItemRenderer):void`

Invalidates a marker (considered new).

Parameters

| `marker:ISeriesItemRenderer`

isMarkerInvalid | () | method |

`protected function isMarkerInvalid(marker:ISeriesItemRenderer):Boolean`

Indicates whether special considerations should be taken for a newly created marker.

Parameters

| `marker:ISeriesItemRenderer`

Returns

| `Boolean`

itemRendererToIndex | () | method |

`public function itemRendererToIndex(renderer:ISeriesItemRenderer):int`

Parameters

| `renderer:ISeriesItemRenderer`

Returns

| `int`

itemToItemRenderer | () | method |

`public function itemToItemRenderer(item:Object):ISeriesItemRenderer` Parameters

| `item:Object`

Returns

| `ISeriesItemRenderer`

validateMarker | () | method |

`protected function validateMarker(marker:ISeriesItemRenderer):void`

Makes a marker valid. To be used by subclasses.

Parameters

| `marker:ISeriesItemRenderer`